Skip to main content
GET
List Products

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

id

Return only records matching product ID. Identifier of the product.

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

query
string | null

Return only records matching product name.

is_archived
boolean | null

Parameter: Filter on archived products.

is_recurring
boolean | null

Parameter: Filter on recurring products. If true, only subscriptions tiers are returned. If false, only one-time purchase products are returned.

benefit_id

Parameter: Filter products granting specific benefit. Identifier of the benefit.

visibility
enum<string>[] | null

Return only records matching visibility.

Available options:
draft,
private,
public
page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
name,
-name,
price_amount_type,
-price_amount_type,
price_amount,
-price_amount
metadata
MetadataQuery · object | null

Return only records matching metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Request completed successfully

items
Product · object[]
required
pagination
Pagination · object
required